Description

Idea

Allow the attribute values within the >Identify Results< window to be editable WHEN editing selected feature.

Would streamline the editing of features considerably if this is possible.

Related issues:

Duplicated by QGIS Application - Feature request # 4985: Attribute editing wi... Closed 2012-02-11

History

#1 - 2011-10-29 11:40 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

It is already possible. In the identify window click on "actions", then "edit feature form".

#2 - 2011-10-29 11:53 AM - Mars Sjoden

Yah, sorry.

I should have been much much more specific.

To be able to EDIT the attribute values WITHIN the "Identify Results" window.

So as to skip the extra step of opening another window, editing and closing

Perhaps this is simply not possible to do, but it sure would be nice!!

#3 - 2011-10-29 06:07 PM - Nathan Woodrow

- Resolution deleted (invalid)

I think we should reopen this as I think this would be a good feature for QGIS.  The current attribute edit behavior of QGIS works but is not optimal IMO.

#4 - 2011-10-30 03:48 AM - Giovanni Manghi

- Resolution set to invalid
Nathan Woodrow wrote:

I think we should reopen this as I think this would be a good feature for QGIS.  The current attribute edit behavior of QGIS works but is not optimal

IMO.

Hi Nathan, in the QGIS general options there is a option that allow you to open directly the feature form when a single feature is identified. This give

flexibility and allow each user to work as they want, and IMHO it does what it is requested in this ticket. Reopen if I get it wrong, again. Cheers.
